Files changed (3) hide show
  1. checksums.yaml +4 -4
  2. data/lib/dyndoc-html-servers.rb +8 -3
  3. metadata +2 -2
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
---
2
2
SHA1:
3
- metadata.gz: b9c60bb2f004e8138db8e95976e8066a76d9ba4f
4
- data.tar.gz: e0994e654ee51ded5463543eae8d344b948eb337
3
+ metadata.gz: 429026235f6934180d6c3ad174239440ca5b5982
4
+ data.tar.gz: d39160222ee3f41df5cf33b612cd3a0838ce3bb7
5
5
SHA512:
6
- metadata.gz: 3b0cb0fddcba4d4dac3b5fb64e70891d4d31e1ef103ded2522268ca769fab08fa0b3340578db7c4f1f78fd61843e75748f4ed40e1ff09f06178969edc961dc83
7
- data.tar.gz: 23fe2a81e900e5760265137986ff372c495b25c066f3e5ae74f139161e051e2e5801e8a54b5dfa4b825823d0f5a14a0e4f58424290ad3c6dc5441fde4c2eac85
6
+ metadata.gz: c2afe16763a26bb7a3ef3f1ce09176ff32b65c5b3149e5cd05c39d21674aff739d5a962806aab386922df8577119ee9b3d977f39b10c589e27d8f87eafcced2f
7
+ data.tar.gz: 868eca4ba804532a18f463ea3a6fb8799bbbf12bab8008bd24674455b55ab550a56b9aa1bfcc7b2b295be63b69f1e01593a9bab4fa9350347c1b63a93bd320b8
data/lib/dyndoc-html-servers.rb CHANGED
@@ -1,7 +1,12 @@
1
1
require 'dyndoc/init/home'
2
2
require 'pathname'
3
3
require 'yaml'
4
+ require 'filewatcher'
4
5
6
+ # if RUBY_VERSION >= "2.4"
7
+ # class FileWatcher < Filewatcher
8
+ # end
9
+ # end
5
10
6
11
module Dyndoc
7
12
module Browser
@@ -266,9 +271,9 @@ module Dyndoc
266
271
267
272
puts "watching "+ dyn_root
268
273
old_html_file=""
269
- ::FileWatcher.new(dyn_root).watch() do |filename, event|
270
- ##p [:filename,filename]
271
- if [:changed,:new].include? event and File.extname(filename) == ".dyn"
274
+ ::Filewatcher.new(dyn_root).watch() do |filename, event|
275
+ ##p [:filename,filename,event]
276
+ if [:changed,:updated,:new].include? event and File.extname(filename) == ".dyn"
272
277
##p [:filename_event,event,filename]
273
278
if (lint_error=Dyndoc::Linter.check_file(filename)).empty?
274
279
## do not process preload, postload, lib and layout files
metadata CHANGED
@@ -1,14 +1,14 @@
1
1
--- !ruby/object:Gem::Specification
2
2
name: dyndoc-ruby
3
3
version: !ruby/object:Gem::Version
4
- version: 1.0.18
4
+ version: 1.0.21
5
5
platform: ruby
6
6
authors:
7
7
- RCqls
8
8
autorequire:
9
9
bindir: bin
10
10
cert_chain: []
11
- date: 2017-10-09 00:00:00.000000000 Z
11
+ date: 2017-10-11 00:00:00.000000000 Z
12
12
dependencies:
13
13
- !ruby/object:Gem::Dependency
14
14
name: R4rb